#
# spec file for package python-Flask-HTMLmin
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-Flask-HTMLmin
Version:        2.2.0
Release:        1.5
Summary:        Flask minifier for HTML responses
License:        BSD-3-Clause
URL:            https://github.com/hamidfzm/Flask-HTMLmin
Source:         https://github.com/hamidfzm/Flask-HTMLmin/archive/v%{version}.tar.gz
Patch0:         remove-pytest-runner.patch
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module cssmin}
BuildRequires:  %{python_module htmlmin}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask
Requires:       python-cssmin
Requires:       python-htmlmin
BuildArch:      noarch
%python_subpackages

%description
Flask-HTMLmin minimizes HTML rendered by Flask.

%prep
%autosetup -n Flask-HTMLmin-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%dir %{python_sitelib}/flask_htmlmin
%{python_sitelib}/flask_htmlmin/*
%{python_sitelib}/Flask_HTMLmin-%{version}-*.egg-info

%changelog
* Sat Feb 19 2022 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
- update to version 2.2.0:
  * Added CSS minification
  * Create codeql-analysis.yml
  * Add python 3.9 to setup classifiers
  * Fix tests
  * Bump urllib3 from 1.26.3 to 1.26.5
* Mon Dec 20 2021 Steve Kowalik <steven.kowalik@suse.com>
- Add patch remove-pytest-runner.patch:
  * No longer require pytest-runner.
* Wed Mar  3 2021 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
- update to version 2.1.0:
  * Update README (@hamidfzm)
  * Bump Pipfile dependencies (@dependabot)
* Sun Apr  5 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.2:
  * Dropped support for Python 2.7
  * Migrate from Travis CI to Github Actions
  * Migrate from Coveralls to Codecov
  * Update README
  * Update PyPI description
* Wed Oct 30 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.5.2:
  * Fix setup.py issues
  * Update setup.py categories
  * Fix tests
  * Change MINIFY_PAGE to MINIFY_HTML
  * Add deprecation warning for old config
* Fri Oct 26 2018 Jan Engelhardt <jengelh@inai.de>
- Trim fill wording
* Fri Oct 26 2018 alarrosa@suse.com
- Fix summary grammar
* Sat Oct 20 2018 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
- update to version 1.5.0:
  * Add stale bot configuration
  * Implement Route (or URL rule) exemption with test
  * Update setup config
  * Setup python 3.7 in travis CI
  * Update license date
  * Update Readme
* Wed Oct 10 2018 Antonio Larrosa <alarrosa@suse.com> - 1.4.0
- Remove conditional test variable from spec file and keep it enabled
* Tue Aug 21 2018 alarrosa@suse.com
- Initial release of python-Flask-HTMLmin 1.4.0
